## discover-my-major 1.0

=== Makefile ===
cwd := $(shell pwd)
emacs ?= emacsclient
emacsflags := -q -a ''
version := $(shell date +%s)
tar_version := $(version).0
package := discover-my-major-$(tar_version).tar
pkg := discover-my-major-pkg.el
sources := $(filter-out %-pkg.el, $(wildcard *.el))
tar = $(cwd)/$(shell ls -t *.tar | head -1)

all: package

package : $(package)
$(package) : $(sources) $(pkg)
	@echo
	@echo Creating the package for package.el...
	@rm -f *.tar
	@rm -rf discover-my-major-*/
	@mkdir -p discover-my-major-$(tar_version)
	@cp -f $(sources) $(pkg) discover-my-major-$(tar_version)
	@tar cf $(package) discover-my-major-$(tar_version)
	@rm -rf discover-my-major-$(tar_version)
	@rm -f $(pkg)
	@echo \"$(package)\" created.
	@echo

install : package
	@echo
	@echo Installing the Emacs package...
	@$(emacs) $(emacsflags) --eval '(package-install-file "$(tar)")'
	@echo
	@echo \"$(tar)\" installed.
	@echo

$(pkg) : $(sources)
	@echo
	@echo Creating the pkg file...
	@rm -f $(pkg)
	@echo \(define-package \"discover-my-major\" \"$(version)\" \"Discover key bindings and their meaning for the current Emacs major mode\" \'\(\(makey \"0.2\"\)\)\) > $(pkg)
	@echo \"$(pkg)\" created.
	@echo

=== debian/changelog ===
discover-my-major (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #844651)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 17 Nov 2016 23:56:18 +0500

=== debian/control ===
Source: discover-my-major
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Homepage: https://github.com/steckerhalter/discover-my-major
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/discover-my-major.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/discover-my-major.git

Package: elpa-discover-my-major
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
          emacs,
          elpa-makey
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: discover key bindings and their meaning for the current Emacs major mode
 Discover key bindings and descriptions for commands defined by a buffer's
 major and minor modes. The command is inspired by discover.el and also uses
 the makey library. The output is pretty bare bones and not optimized but it
 seems to work already quite well for most modes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_install:
	@echo skipping upstream install

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%discover-my-major-$1.tar.gz%" \
             https://github.com/steckerhalter/discover-my-major/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## discover-my-major 1.0%2Bgit20180606.c592e5e6

=== debian/changelog ===
discover-my-major (1.0+git20180606.c592e5e6-1) unstable; urgency=medium

  * New upstream snapshot 1.0+git20180606.c592e5e6
  * Add upstream metadata
  * Drop patch applied upstream
  * Refresh patches
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/control: Drop obsolete version restrictions
  * d/copyright: Bump copyright years
  * d/watch: Fix regexp to search for new versions

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 05 Feb 2025 20:50:39 +0500

discover-my-major (1.0-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 18:00:45 +0900

discover-my-major (1.0-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:53:32 +0900

discover-my-major (1.0-4) unstable; urgency=medium

  * Build against newer dh_elpa
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Dec 2020 20:04:32 +0500

discover-my-major (1.0-3) unstable; urgency=medium

  * Update URI to reflect migration away from GitHub
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop emacs{24,25} from Enhances
  * d/control: Drop Built-Using field
  * d/control: Clean Depends field
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/copyright: Bump copyright years
  * d/rules: Do not pass --parallel to dh

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 27 Jul 2019 10:08:18 +0500

discover-my-major (1.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Fri, 01 Jun 2018 20:50:08 -0300

## discover-my-major 1.0+git20180606.c592e5e6

=== debian/control ===
Source: discover-my-major
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.7.0
Homepage: https://framagit.org/steckerhalter/discover-my-major
Vcs-Browser: https://salsa.debian.org/emacsen-team/discover-my-major
Vcs-Git: https://salsa.debian.org/emacsen-team/discover-my-major.git

Package: elpa-discover-my-major
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: discover key bindings and their meaning for the current Emacs major mode
 Discover key bindings and descriptions for commands defined by a buffer's
 major and minor modes. The command is inspired by discover.el and also uses
 the makey library. The output is pretty bare bones and not optimized but it
 seems to work already quite well for most modes.

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://framagit.org/steckerhalter/discover-my-major/tags?sort=updated_desc -/archive/v?\d[\d.]+/discover-my-major-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
